> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ListWorkerSyncs

> Returns the available syncs of the worker. Deprecated: use "GET /v2/worker/syncs" or "QueryWorkerSyncs" instead, which also return the status of each sync.



**query** `ListWorkerSyncs: [WorkerSyncItem!]!`

> Deprecated: This endpoint is deprecated.

## Returns

`[WorkerSyncItem!]!`

**`identifier`**: `ID!`

The unique identifier of a sync.

---

**`syncName`**: `String!`

The name of the sync.

---

**`salesChannelName`**: `String`

The name of the sales channel.

---

**`salesChannelId`**: `ID!`

The sales channel for the sync.

---

**`interval`**: `TimeSpan`

The sync interval.

---

**`reportProgress`**: `Boolean!`

Indicates whether the sync reports progress in percent.

---

**`configurations`**: `[WorkerSyncConfig!]!`

The configuration entries of the worker sync.

## Examples

```graphql Query
query ListWorkerSyncs {
  ListWorkerSyncs {
    identifier
    syncName
    salesChannelName
    salesChannelId
    interval
    reportProgress
  }
}
```

```json Response
{
  "data": {
    "ListWorkerSyncs": [
      {
        "identifier": "id",
        "syncName": "string",
        "salesChannelName": "string",
        "salesChannelId": "id",
        "interval": "value",
        "reportProgress": true
      }
    ]
  }
}
```
